const electron = require('electron');
const app      = electron.app;

const winston = require('winston');
const logFile = app.getPath('documents') + '/IOLab-WorkFiles/console.log';

const logger = new (winston.Logger)({
    transports: [
        //new (winston.transports.Console)(),
        new (winston.transports.File)({
            filename: logFile,
            json: false,
            timestamp: false,
            zippedArchive: true
        })
    ]
});

module.exports = logger;